> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List banks

> search and retrieve bank entities from global bank directory [GET]



## OpenAPI

````yaml get /v3/payout/bank
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/payout/bank:
    get:
      description: search and retrieve bank entities from global bank directory [GET]
      operationId: PayoutService_ListBanks
      parameters:
        - name: country
          in: query
          required: true
          description: ISO 3166-1 alpha-2 country code
          schema:
            type: string
            example: IN
        - name: search_text
          in: query
          required: true
          description: Search text (minimum 3 characters)
          schema:
            type: string
            minLength: 3
            example: HDFC
        - name: code_type
          in: query
          required: true
          description: Type of bank code to search
          schema:
            type: string
            enum:
              - swift_code
              - sort_code
              - aba_code
              - bsb_code
              - ifsc_code
              - iban
              - bank_name
            example: ifsc_code
        - name: limit
          in: query
          required: false
          description: Maximum number of results (<= 50)
          schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 10
        - name: offset
          in: query
          required: false
          description: Pagination offset
          schema:
            type: integer
            minimum: 0
            example: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBanksResponse'
              examples:
                OK:
                  summary: OK
                  value:
                    status: success
                    message: ''
                    data:
                      has_more: false
                      object: list
                      results:
                        - address:
                            city: SYDNEY
                            country: AU
                            line1: ''
                            line2: ''
                            postal_code: '2000'
                            state: NSW
                          bank_codes:
                            bsb_code: '980202'
                            swift_code: BKCHAU2APAR
                          bank_name: BANK OF CHINA (AUSTRALIA) LIMITED
                          country_code: AU
                          id: bke_d7ag8hfhambilrokaoog
                          matched_on:
                            swift_code: BKCHAU2APAR
                          object: bank
                        - address:
                            city: PERTH
                            country: AU
                            line1: ''
                            line2: ''
                            postal_code: '6000'
                            state: WA
                          bank_codes:
                            bsb_code: '980600'
                            swift_code: BKCHAU2APTH
                          bank_name: BANK OF CHINA (AUSTRALIA) LIMITED
                          country_code: AU
                          id: bke_d7ag8h7hambilrok50bg
                          matched_on:
                            swift_code: BKCHAU2APTH
                          object: bank
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: bash
          label: Example request
          source: |
            curl -G 'https://service-sandbox.tazapay.com/v3/payout/bank' \
              --data-urlencode 'country=AU' \
              --data-urlencode 'code_type=swift_code' \
              --data-urlencode 'search_text=BKCHAU2AP' \
              --data-urlencode 'limit=20' \
              --data-urlencode 'offset=10'
components:
  schemas:
    ListBanksResponse:
      type: object
      description: List banks response wrapper.
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: ''
        data:
          $ref: '#/components/schemas/ListBanksResponseData'
    ListBanksResponseData:
      type: object
      properties:
        has_more:
          type: boolean
        object:
          type: string
          description: Always "list".
        results:
          type: array
          items:
            $ref: '#/components/schemas/GlobalBankDirectoryBank'
    GlobalBankDirectoryBank:
      type: object
      description: Bank entity from the global bank directory.
      properties:
        id:
          type: string
          description: Unique ID of the bank entity.
          example: bke_d7ag8hfhambilrokaoog
        object:
          type: string
          description: Always "bank".
          example: bank
        bank_name:
          type: string
          description: Bank name.
        country_code:
          type: string
          description: Two-letter country code (ISO 3166-1 alpha-2).
        address:
          $ref: '#/components/schemas/Address'
        bank_codes:
          $ref: '#/components/schemas/BankCodes'
        matched_on:
          type: object
          description: Fields that matched the search criteria.
          additionalProperties:
            type: string
    Address:
      type: object
      description: Address details
      properties:
        line1:
          type: string
          description: Address Line 1
        line2:
          type: string
          description: Address Line 2
        city:
          type: string
          description: Address city
        state:
          type: string
          description: Address state
        country:
          type: string
          description: Address country (ISO 3166-1 alpha-2 country code)
        postal_code:
          type: string
          description: Postal Code
    BankCodes:
      type: object
      description: Bank specific identification codes
      properties:
        swift_code:
          type: string
          description: SWIFT Code
        bic_code:
          type: string
          description: Bank Identifier Code (BIC)
        ifsc_code:
          type: string
          description: IFS Code
        aba_code:
          type: string
          description: ABA / Routing Number
        sort_code:
          type: string
          description: SORT Code
        branch_code:
          type: string
          description: Branch Code
        bsb_code:
          type: string
          description: BSB Code
        bank_code:
          type: string
          description: Bank Code
        cnaps:
          type: string
          description: CNAPS
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````